This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 772749 - NPE thrown in content repository view when view is empty
NPE thrown in content repository view when view is empty
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.2
Unspecified Unspecified
unspecified Severity low (vote)
: ---
: ---
Assigned To: John Sanda
Mike Foley
:
Depends On:
Blocks: jon30-sprint10/rhq43-sprint10
  Show dependency treegraph
 
Reported: 2012-01-09 16:08 EST by John Sanda
Modified: 2012-02-07 14:30 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-07 14:29:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Sanda 2012-01-09 16:08:56 EST
Description of problem:
When the content repository view is empty, there is a single node named 'root'. If you select that node, you will see a globally uncaught exception in the UI. The actual exception is a NPE in ContentRepositoryTreeView.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Log into an RHQ server that has no content repositories.
2. Click the 'Bundles' link from the menu at the top of the page.
3. The 'Repositories' view will be on the bottom left. Click on the header to expand the section.
4. Then click on 'root' row/folder.
  
Actual results:
A globally uncaught exception is reported in the UI.

Expected results:
No exception should be thrown/reported.

Additional info:
Comment 1 John Sanda 2012-01-09 16:27:13 EST
Added a null check for when there are no repos.

master commit hash: 2c2d2aeffc8dd7adf3e0f60711f9556b52355baf
Comment 2 Mike Foley 2012-01-16 13:43:23 EST
verified rhq 4.3
Comment 3 Mike Foley 2012-02-07 14:29:11 EST
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE
Comment 4 Mike Foley 2012-02-07 14:30:05 EST
marking VERIFIED BZs to CLOSED/CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.